package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.draw.domain.dto.grid.CustCountDTO;
import com.ruoyi.ibs.grid.domain.dto.GridCustListDTO;
import com.ruoyi.ibs.grid.domain.dto.RegionGridListDTO;
import com.ruoyi.ibs.grid.domain.dto.UnbindDTO;
import com.ruoyi.ibs.grid.domain.entity.RegionGrid;
import com.ruoyi.ibs.grid.domain.vo.RegionCustUserVO;
import com.ruoyi.ibs.grid.domain.vo.RegionGridCustVO;
import com.ruoyi.ibs.grid.domain.vo.RegionGridListVO;
import com.ruoyi.ibs.grid.domain.vo.RegionUnbindVo;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/1/7
 **/
public interface RegionGridListService {

    List<RegionCustUserVO> selectCustFromGrid(GridCustListDTO gridCustListDTO, RegionGrid regionGrid);

    List<RegionGridCustVO> selectCustFromGridByManager(GridCustListDTO gridCustListDTO, RegionGrid regionGrid);

    String unbindCustUser(UnbindDTO unbindDTO);

    List<RegionUnbindVo> getUserUnbindList(Long gridId, String custId);

    CustCountDTO getUnbindCustCount(Long gridId);

    List<RegionGridListVO> getTopGridList(RegionGridListDTO regionGridListDTO);

    List<RegionGridListVO> getSecGridList(RegionGridListDTO regionGridListDTO);

    List<RegionGridListVO> getSecGridListByManager(RegionGridListDTO regionGridListDTO);

}
